[youtubei.js](../../../README.md) / [Parser](../README.md) / parseFormats

# Function: parseFormats()

> **parseFormats**(`formats`, `this_response_nsig_cache`): [`Format`](../../Misc/classes/Format.md)[]

## Parameters

• **formats**: [`RawNode`](../../APIResponseTypes/type-aliases/RawNode.md)[]

• **this\_response\_nsig\_cache**: `Map`\<`string`, `string`\>

## Returns

[`Format`](../../Misc/classes/Format.md)[]

## Defined in

[src/parser/parser.ts:739](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/parser/parser.ts#L739)
